Package org.eclipse.microprofile.openapi.annotations.security

# Annotation Type SecuritySchemes

@Target(TYPE) @Retention(RUNTIME) @Inherited public @interface SecuritySchemes
This object represents an array of SecurityScheme annotations that can be specified at the definition level.

See Also:
  - "https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#security-scheme-object"

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`SecurityScheme[]`
`value`
An array of SecurityScheme annotations that can be specified at definition level.

## Element Details

### value

SecurityScheme[] value
An array of SecurityScheme annotations that can be specified at definition level.

Returns:
  the array of the SecurityScheme annotations

Default:
  {}